| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Gaudi::Parsers::VectorGrammar< GrammarT > Class Template Reference

`#include <Grammars.h>`

Inheritance diagram for Gaudi::Parsers::VectorGrammar< GrammarT >:

[legend]
Collaboration diagram for Gaudi::Parsers::VectorGrammar< GrammarT >:

[legend]
List of all members.

## Detailed Description

### template<typename GrammarT>
class Gaudi::Parsers::VectorGrammar< GrammarT >

The valid represenation of vector are:

- {"abc","defj","i"} or {1,2,3,4,5}
- ["abc","defj","i"] or [1,2,3,4,5] Inner type depends on GrammarT grammar.

Author:
  Alexander MAZUROV Alexander.Mazurov@gmail.com

  Vanya BELYAEV ibelyaev@physics.syr.edu

Date:
  2006-05-14

Definition at line 407 of file Grammars.h.

## Public Types
typedef GrammarT::ResultT | ValueT
typedef std::vector< ValueT > | ResultT
typedef VectorGrammar< GrammarT > | SelfT
## Public Member Functions
void | matchItem (const ValueT &value) const
| callback. Action when we match inner value
## Classes
struct | definition

## Member Typedef Documentation

template<typename GrammarT>

typedef GrammarT::ResultT Gaudi::Parsers::VectorGrammar< GrammarT >::ValueT

Definition at line 414 of file Grammars.h.

template<typename GrammarT>

typedef std::vector<ValueT> Gaudi::Parsers::VectorGrammar< GrammarT >::ResultT

Definition at line 415 of file Grammars.h.

template<typename GrammarT>

typedef VectorGrammar<GrammarT> Gaudi::Parsers::VectorGrammar< GrammarT >::SelfT

Definition at line 416 of file Grammars.h.

## Member Function Documentation

template<typename GrammarT>

void Gaudi::Parsers::VectorGrammar< GrammarT >::matchItem | ( | const ValueT & | value | ) | const`[inline]`

callback. Action when we match inner value

Definition at line 419 of file Grammars.h.

Referenced by Gaudi::Parsers::VectorGrammar< GrammarT >::definition< ScannerT >::definition().

    00419 { this->val().push_back(value); }

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/Grammars.h